{"docsConfig":{"theme":"aspen","$schema":"https://mintlify.com/docs.json","name":"Penbox Documentation","colors":{"primary":"#5A7DEC","light":"#5A7DEC","dark":"#5A7DEC"},"logo":{"light":"https://mintcdn.com/penbox/p4WC9517YL8mO6oA/images/penboxdocs.svg?fit=max\u0026auto=format\u0026n=p4WC9517YL8mO6oA\u0026q=85\u0026s=088aaa861690d692e523e252359cc629","dark":"https://mintcdn.com/penbox/p4WC9517YL8mO6oA/images/penboxdocswhite.svg?fit=max\u0026auto=format\u0026n=p4WC9517YL8mO6oA\u0026q=85\u0026s=75936ad7a1858141ac1cfb503a7b5c46"},"favicon":"https://mintcdn.com/penbox/p4WC9517YL8mO6oA/images/penbox-favicon.svg?fit=max\u0026auto=format\u0026n=p4WC9517YL8mO6oA\u0026q=85\u0026s=d10454de82e3b34f83f9e52efae8fc51","background":{"color":{"light":"#FCFCFB","dark":"#1E2028"}},"navbar":{"primary":{"type":"button","label":"App","href":"https://app.penbox.io"}},"footer":{"socials":{"x":"https://x.com/mintlify","github":"https://github.com/mintlify","linkedin":"https://linkedin.com/company/mintlify"}},"fonts":{"family":"Inter","weight":500},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"penbox","hasAudioNarration":false,"actualSubdomain":"penbox","customDomains":["docs.penbox.io"],"gitSource":{"type":"github","owner":"penbox-io","repo":"docs-mintlify","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae341ea9195f5361a7f0065","collectionId":"eff3ee5d-c8b2-40fc-a45d-723256fe40f9","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae341ea9195f5361a7f0065"},"feedback":{"thumbs":true},"entitlements":{},"buildId":"6ae341ea9195f5361a7f0065","clientVersion":"0.0.4074","searchFilterCounts":[{"language":"default","tag":"API Reference","count":69},{"language":"default","tag":"Documentation","count":57},{"language":"default","tag":"Cases","count":33},{"language":"default","tag":"Guides","count":29},{"language":"default","tag":"Forms","count":16},{"language":"default","tag":"Data Schema","count":11},{"language":"default","tag":"Form Templates","count":10},{"language":"default","tag":"Previous API version","count":10},{"language":"default","tag":"Changelog","count":10},{"language":"default","tag":"2026","count":10}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/requests/update-request","slug":"/api-reference/requests/update-request","pageMetadata":{"title":"Update Form","openapi":"PATCH /forms/{id}","description":"Update a form's status or properties.","href":"/api-reference/requests/update-request"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Update a form’s status or properties.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,pre:`pre`,span:`span`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{CodeBlock,Heading,Note,Table}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Update a form’s status or properties.`}),`\n`,_jsx(Heading,{level:`2`,id:`updatable-fields`,children:`Updatable Fields`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Field`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`archived`})}),_jsx(_components.td,{children:`boolean`}),_jsx(_components.td,{children:`Archive or unarchive the form`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`draft`})}),_jsx(_components.td,{children:`boolean`}),_jsx(_components.td,{children:`Set draft status (true = draft, false = activate)`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`processed`})}),_jsx(_components.td,{children:`boolean`}),_jsx(_components.td,{children:`Mark as processed or unprocessed`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`active_until`})}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Update expiration date (ISO 8601)`})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`common-use-cases`,children:`Common Use Cases`}),`\n`,_jsx(Heading,{level:`3`,id:`archive-a-form`,children:`Archive a Form`}),`\n`,_jsx(_components.p,{children:`Archive completed or cancelled forms to keep your list organized:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`8`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`8`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`await`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` fetch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`https://connect.penbox.io/v1/forms/\"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`formId`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` method:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'PATCH'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` headers:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Authorization'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\" `Bearer \"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`accessToken`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Content-Type'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'application/json'`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` body:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` JSON`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`stringify`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`({ `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`archived:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` })`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`});`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`3`,id:`mark-as-processed`,children:`Mark as Processed`}),`\n`,_jsx(_components.p,{children:`Track which forms you’ve reviewed in your system:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`8`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`8`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`await`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` fetch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`https://connect.penbox.io/v1/forms/\"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`formId`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` method:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'PATCH'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` headers:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Authorization'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\" `Bearer \"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`accessToken`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Content-Type'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'application/json'`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` body:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` JSON`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`stringify`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`({ `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`processed:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` })`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`});`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`3`,id:`activate-a-draft`,children:`Activate a Draft`}),`\n`,_jsx(_components.p,{children:`Activate a draft form to send it to the contact:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`8`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`8`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`await`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` fetch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`https://connect.penbox.io/v1/forms/\"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`formId`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` method:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'PATCH'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` headers:`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Authorization'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\" `Bearer \"}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:\"${\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`accessToken`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#569CD6`},children:`}`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Content-Type'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'application/json'`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` body:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` JSON`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`stringify`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`({ `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`draft:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` })`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`});`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`response-codes`,children:`Response Codes`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Code`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`200`})}),_jsx(_components.td,{children:`Success - Form updated successfully`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`400`})}),_jsx(_components.td,{children:`Bad Request - Invalid parameters`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`401`})}),_jsx(_components.td,{children:`Unauthorized - Invalid access token`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`403`})}),_jsx(_components.td,{children:`Forbidden - No access to this resource`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`404`})}),_jsx(_components.td,{children:`Not Found - Form doesn’t exist`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`422`})}),_jsx(_components.td,{children:`Unprocessable - Validation failed`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`429`})}),_jsx(_components.td,{children:`Too Many Requests - Rate limit exceeded`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:_jsx(_components.code,{children:`500`})}),_jsx(_components.td,{children:`Server Error - Internal error`})]})]})]}),`\n`,_jsx(Note,{children:_jsx(_components.p,{children:`You can only update certain fields. To modify form data or user information, you’ll need to create a new form.`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Update Form","openapi":"PATCH /forms/{id}","description":"Update a form's status or properties.","href":"/api-reference/requests/update-request"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Updatable Fields","slug":"updatable-fields","depth":2,"children":[]},{"title":"Common Use Cases","slug":"common-use-cases","depth":2,"children":[{"title":"Archive a Form","slug":"archive-a-form","depth":3,"children":[]},{"title":"Mark as Processed","slug":"mark-as-processed","depth":3,"children":[]},{"title":"Activate a Draft","slug":"activate-a-draft","depth":3,"children":[]}]},{"title":"Response Codes","slug":"response-codes","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Update Form","operationId":"update-form","description":"Update a form's status or properties.","requestBody":"6810c8f5-3fe5-459f-9765-f3bee833abf9","responses":{"200":"73bd733d-5aed-4c83-9533-dff222e4586d"},"method":"patch","type":"path","servers":["b64c4416-15bb-4807-8d2e-6bfda3195f3a"],"security":["160d1038-1e7a-49ae-a51e-af2c9a41c7f6"],"path":"/forms/{id}","baseUrlOptions":["https://connect.penbox.io/v1"],"title":"Update Form","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"b615b50c-57d0-4f34-a1d9-64a8b070debe":{"name":"id","in":"path","required":true,"description":"Form UUID","schema":{"type":"string","format":"uuid","isRequired":true,"description":"Form UUID","uniqueKey":"","typeLabel":"string\u003cuuid>"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","minProperties":1,"properties":{"archived":{"type":"boolean","description":"Archive or unarchive the form","uniqueKey":"archived","typeLabel":"boolean"},"draft":{"type":"boolean","description":"Set draft status","uniqueKey":"draft","typeLabel":"boolean"},"processed":{"type":"boolean","description":"Mark as processed or unprocessed","uniqueKey":"processed","typeLabel":"boolean"},"active_until":{"type":"string","format":"date-time","description":"Update expiration date (ISO 8601)","uniqueKey":"active_until","typeLabel":"string\u003cdate-time>"}},"description":"At least one field must be provided","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"archived":true,"draft":true,"processed":true,"active_until":"2023-11-07T05:31:56Z"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"73bd733d-5aed-4c83-9533-dff222e4586d":{"description":"Form updated successfully","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Form UUID","uniqueKey":"id","typeLabel":"string\u003cuuid>"},"created_at":{"type":"string","format":"date-time","description":"Creation timestamp","uniqueKey":"created_at","typeLabel":"string\u003cdate-time>"},"status":{"type":"string","enum":["draft","pending","completed","declined","processed"],"description":"Current form status","uniqueKey":"status","typeLabel":"enum\u003cstring>"},"archived":{"type":"boolean","description":"Whether the form is archived","uniqueKey":"archived","typeLabel":"boolean"},"archived_at":{"oneOf":[{"type":"string","format":"date-time","description":"Timestamp when archived","uniqueKey":"archived_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"Timestamp when archived","uniqueKey":"archived_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"archived_at","typeLabel":"string\u003cdate-time> | null"},"processed_at":{"oneOf":[{"type":"string","format":"date-time","description":"Timestamp when marked as processed","uniqueKey":"processed_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"Timestamp when marked as processed","uniqueKey":"processed_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"processed_at","typeLabel":"string\u003cdate-time> | null"},"active_from":{"oneOf":[{"type":"string","format":"date-time","description":"When the form becomes active","uniqueKey":"active_from.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"When the form becomes active","uniqueKey":"active_from.oneOf.1","typeLabel":"null"}],"uniqueKey":"active_from","typeLabel":"string\u003cdate-time> | null"},"active_until":{"oneOf":[{"type":"string","format":"date-time","description":"When the form expires","uniqueKey":"active_until.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"When the form expires","uniqueKey":"active_until.oneOf.1","typeLabel":"null"}],"uniqueKey":"active_until","typeLabel":"string\u003cdate-time> | null"},"links":{"type":"object","properties":{"fill":{"type":"string","format":"uri","description":"Public form link for the contact","uniqueKey":"links.fill","typeLabel":"string\u003curi>"},"app":{"type":"string","format":"uri","description":"Internal app link to view the form","uniqueKey":"links.app","typeLabel":"string\u003curi>"}},"description":"URLs for accessing the form","uniqueKey":"links","typeLabel":"object"},"user":{"type":"object","properties":{"anonymous":{"type":"boolean","uniqueKey":"user.anonymous","typeLabel":"boolean"},"email":{"type":"string","uniqueKey":"user.email","typeLabel":"string"},"phone":{"type":"string","uniqueKey":"user.phone","typeLabel":"string"},"given_name":{"type":"string","uniqueKey":"user.given_name","typeLabel":"string"},"family_name":{"type":"string","uniqueKey":"user.family_name","typeLabel":"string"},"company_name":{"type":"string","uniqueKey":"user.company_name","typeLabel":"string"},"internal_ref":{"type":"string","uniqueKey":"user.internal_ref","typeLabel":"string"}},"description":"Contact information","uniqueKey":"user","typeLabel":"object"},"owner":{"oneOf":[{"type":"object","properties":{"id":{"type":"string","format":"uuid","uniqueKey":"owner.oneOf.0.id","typeLabel":"string\u003cuuid>"},"email":{"type":"string","uniqueKey":"owner.oneOf.0.email","typeLabel":"string"}},"description":"Form owner information","uniqueKey":"owner.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"id":{"type":"string","format":"uuid"},"email":{"type":"string"}},"description":"Form owner information","uniqueKey":"owner.oneOf.1","typeLabel":"null"}],"uniqueKey":"owner","typeLabel":"object | null"},"flow":{"type":"object","properties":{"slug":{"type":"string","description":"Form template slug identifier","uniqueKey":"flow.slug","typeLabel":"string"}},"description":"Form template information","uniqueKey":"flow","typeLabel":"object"},"data":{"type":"object","description":"Pre-filled form data","uniqueKey":"data","typeLabel":"object"},"external_args":{"oneOf":[{"type":"object","description":"Custom metadata","uniqueKey":"external_args.oneOf.0","typeLabel":"object"},{"type":"null","description":"Custom metadata","uniqueKey":"external_args.oneOf.1","typeLabel":"null"}],"uniqueKey":"external_args","typeLabel":"object | null"},"options":{"oneOf":[{"type":"object","description":"Form-specific options","uniqueKey":"options.oneOf.0","typeLabel":"object"},{"type":"null","description":"Form-specific options","uniqueKey":"options.oneOf.1","typeLabel":"null"}],"uniqueKey":"options","typeLabel":"object | null"},"responses":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Response UUID","uniqueKey":"responses.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"completed_at":{"oneOf":[{"type":"string","format":"date-time","description":"Timestamp when the response was completed","uniqueKey":"responses.items.[INDEX].completed_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"Timestamp when the response was completed","uniqueKey":"responses.items.[INDEX].completed_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"responses.items.[INDEX].completed_at","typeLabel":"string\u003cdate-time> | null"},"updated_at":{"type":"string","format":"date-time","description":"Last update timestamp","uniqueKey":"responses.items.[INDEX].updated_at","typeLabel":"string\u003cdate-time>"},"data":{"type":"object","description":"Form field values","uniqueKey":"responses.items.[INDEX].data","typeLabel":"object"},"user":{"type":"object","properties":{"anonymous":{"type":"boolean","uniqueKey":"responses.items.[INDEX].user.anonymous","typeLabel":"boolean"},"ip":{"type":"string","uniqueKey":"responses.items.[INDEX].user.ip","typeLabel":"string"},"email":{"type":"string","uniqueKey":"responses.items.[INDEX].user.email","typeLabel":"string"},"phone":{"type":"string","uniqueKey":"responses.items.[INDEX].user.phone","typeLabel":"string"},"locale":{"type":"string","uniqueKey":"responses.items.[INDEX].user.locale","typeLabel":"string"},"given_name":{"type":"string","uniqueKey":"responses.items.[INDEX].user.given_name","typeLabel":"string"},"family_name":{"type":"string","uniqueKey":"responses.items.[INDEX].user.family_name","typeLabel":"string"},"user-agent":{"type":"string","uniqueKey":"responses.items.[INDEX].user.user-agent","typeLabel":"string"},"accept-language":{"type":"string","uniqueKey":"responses.items.[INDEX].user.accept-language","typeLabel":"string"}},"description":"User information","uniqueKey":"responses.items.[INDEX].user","typeLabel":"object"},"attachments":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Attachment UUID","uniqueKey":"responses.items.[INDEX].attachments.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"name":{"type":"string","description":"Original filename","uniqueKey":"responses.items.[INDEX].attachments.items.[INDEX].name","typeLabel":"string"},"type":{"type":"string","description":"MIME type","uniqueKey":"responses.items.[INDEX].attachments.items.[INDEX].type","typeLabel":"string"},"scope":{"oneOf":[{"type":"string","description":"Attachment scope","uniqueKey":"responses.items.[INDEX].attachments.items.[INDEX].scope.oneOf.0","typeLabel":"string"},{"type":"null","description":"Attachment scope","uniqueKey":"responses.items.[INDEX].attachments.items.[INDEX].scope.oneOf.1","typeLabel":"null"}],"uniqueKey":"responses.items.[INDEX].attachments.items.[INDEX].scope","typeLabel":"string | null"},"data":{"oneOf":[{"type":"string","description":"Base64-encoded file content","uniqueKey":"responses.items.[INDEX].attachments.items.[INDEX].data.oneOf.0","typeLabel":"string"},{"type":"null","description":"Base64-encoded file content","uniqueKey":"responses.items.[INDEX].attachments.items.[INDEX].data.oneOf.1","typeLabel":"null"}],"uniqueKey":"responses.items.[INDEX].attachments.items.[INDEX].data","typeLabel":"string | null"},"metadata":{"type":"object","properties":{"size":{"type":"integer","description":"File size in bytes","uniqueKey":"responses.items.[INDEX].attachments.items.[INDEX].metadata.size","typeLabel":"integer"},"width":{"oneOf":[{"type":"integer","uniqueKey":"responses.items.[INDEX].attachments.items.[INDEX].metadata.width.oneOf.0","typeLabel":"integer"},{"type":"null","uniqueKey":"responses.items.[INDEX].attachments.items.[INDEX].metadata.width.oneOf.1","typeLabel":"null"}],"uniqueKey":"responses.items.[INDEX].attachments.items.[INDEX].metadata.width","typeLabel":"integer | null"},"height":{"oneOf":[{"type":"integer","uniqueKey":"responses.items.[INDEX].attachments.items.[INDEX].metadata.height.oneOf.0","typeLabel":"integer"},{"type":"null","uniqueKey":"responses.items.[INDEX].attachments.items.[INDEX].metadata.height.oneOf.1","typeLabel":"null"}],"uniqueKey":"responses.items.[INDEX].attachments.items.[INDEX].metadata.height","typeLabel":"integer | null"}},"uniqueKey":"responses.items.[INDEX].attachments.items.[INDEX].metadata","typeLabel":"object"},"uri":{"type":"string","format":"uri","description":"Direct download URL","uniqueKey":"responses.items.[INDEX].attachments.items.[INDEX].uri","typeLabel":"string\u003curi>"}},"uniqueKey":"responses.items.[INDEX].attachments.items.[INDEX]","typeLabel":"object"},"description":"Uploaded files","uniqueKey":"responses.items.[INDEX].attachments","typeLabel":"object[]"},"signatures":{"type":"object","description":"Signature data","uniqueKey":"responses.items.[INDEX].signatures","typeLabel":"object"},"files":{"type":"object","description":"Organized files by category","uniqueKey":"responses.items.[INDEX].files","typeLabel":"object"}},"uniqueKey":"responses.items.[INDEX]","typeLabel":"object"},"description":"Array of form responses","uniqueKey":"responses","typeLabel":"object[]"},"notifications":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Unique notification identifier","isRequired":true,"uniqueKey":"notifications.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"status":{"type":"string","enum":["pending","sent","failed","skipped"],"description":"Current status of the notification","isRequired":true,"uniqueKey":"notifications.items.[INDEX].status","typeLabel":"enum\u003cstring>"},"method":{"type":"string","enum":["sms","email"],"description":"Delivery method","isRequired":true,"uniqueKey":"notifications.items.[INDEX].method","typeLabel":"enum\u003cstring>"},"at":{"type":"string","format":"date-time","description":"Timestamp when the notification was sent","isRequired":true,"uniqueKey":"notifications.items.[INDEX].at","typeLabel":"string\u003cdate-time>"},"to":{"oneOf":[{"type":"string","description":"Recipient address (email or phone number)","uniqueKey":"notifications.items.[INDEX].to.oneOf.0","typeLabel":"string"},{"type":"null","description":"Recipient address (email or phone number)","uniqueKey":"notifications.items.[INDEX].to.oneOf.1","typeLabel":"null"}],"uniqueKey":"notifications.items.[INDEX].to","typeLabel":"string | null"},"from":{"oneOf":[{"type":"string","description":"Sender address","uniqueKey":"notifications.items.[INDEX].from.oneOf.0","typeLabel":"string"},{"type":"null","description":"Sender address","uniqueKey":"notifications.items.[INDEX].from.oneOf.1","typeLabel":"null"}],"uniqueKey":"notifications.items.[INDEX].from","typeLabel":"string | null"},"cc":{"oneOf":[{"type":"string","description":"Carbon copy recipient","uniqueKey":"notifications.items.[INDEX].cc.oneOf.0","typeLabel":"string"},{"type":"null","description":"Carbon copy recipient","uniqueKey":"notifications.items.[INDEX].cc.oneOf.1","typeLabel":"null"}],"uniqueKey":"notifications.items.[INDEX].cc","typeLabel":"string | null"},"bcc":{"oneOf":[{"type":"string","description":"Blind carbon copy recipient","uniqueKey":"notifications.items.[INDEX].bcc.oneOf.0","typeLabel":"string"},{"type":"null","description":"Blind carbon copy recipient","uniqueKey":"notifications.items.[INDEX].bcc.oneOf.1","typeLabel":"null"}],"uniqueKey":"notifications.items.[INDEX].bcc","typeLabel":"string | null"},"system":{"type":"boolean","description":"Whether this is a system notification","uniqueKey":"notifications.items.[INDEX].system","typeLabel":"boolean"},"locale":{"type":"string","description":"Language/locale code (e.g., 'fr', 'en')","uniqueKey":"notifications.items.[INDEX].locale","typeLabel":"string"},"template":{"oneOf":[{"type":"string","description":"Template name used for the notification","uniqueKey":"notifications.items.[INDEX].template.oneOf.0","typeLabel":"string"},{"type":"null","description":"Template name used for the notification","uniqueKey":"notifications.items.[INDEX].template.oneOf.1","typeLabel":"null"}],"uniqueKey":"notifications.items.[INDEX].template","typeLabel":"string | null"},"variables":{"oneOf":[{"type":"object","description":"Template variables used in the message","uniqueKey":"notifications.items.[INDEX].variables.oneOf.0","typeLabel":"object"},{"type":"null","description":"Template variables used in the message","uniqueKey":"notifications.items.[INDEX].variables.oneOf.1","typeLabel":"null"}],"uniqueKey":"notifications.items.[INDEX].variables","typeLabel":"object | null"},"active":{"type":"boolean","description":"Whether the notification is active","uniqueKey":"notifications.items.[INDEX].active","typeLabel":"boolean"},"error":{"oneOf":[{"type":"string","description":"Error message if notification failed","uniqueKey":"notifications.items.[INDEX].error.oneOf.0","typeLabel":"string"},{"type":"null","description":"Error message if notification failed","uniqueKey":"notifications.items.[INDEX].error.oneOf.1","typeLabel":"null"}],"uniqueKey":"notifications.items.[INDEX].error","typeLabel":"string | null"},"message_id":{"oneOf":[{"type":"string","description":"External message identifier from delivery provider","uniqueKey":"notifications.items.[INDEX].message_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"External message identifier from delivery provider","uniqueKey":"notifications.items.[INDEX].message_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"notifications.items.[INDEX].message_id","typeLabel":"string | null"},"attachments":{"oneOf":[{"type":"object","description":"Attached files","uniqueKey":"notifications.items.[INDEX].attachments.oneOf.0","typeLabel":"object"},{"type":"null","description":"Attached files","uniqueKey":"notifications.items.[INDEX].attachments.oneOf.1","typeLabel":"null"}],"uniqueKey":"notifications.items.[INDEX].attachments","typeLabel":"object | null"},"deleted_at":{"oneOf":[{"type":"string","format":"date-time","description":"Timestamp when the notification was deleted","uniqueKey":"notifications.items.[INDEX].deleted_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","format":"date-time","description":"Timestamp when the notification was deleted","uniqueKey":"notifications.items.[INDEX].deleted_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"notifications.items.[INDEX].deleted_at","typeLabel":"string\u003cdate-time> | null"}},"required":["id","status","method","at"],"uniqueKey":"notifications.items.[INDEX]","typeLabel":"object"},"description":"Array of notifications sent for this form","uniqueKey":"notifications","typeLabel":"object[]"},"webhooks":{"oneOf":[{"type":"object","description":"Webhook URLs with event subscriptions","additionalProperties":{"type":"array","items":{"type":"string","uniqueKey":"webhooks.oneOf.0.additionalProperties.items.[INDEX]","typeLabel":"string"},"uniqueKey":"webhooks.oneOf.0.additionalProperties","typeLabel":"string[]"},"uniqueKey":"webhooks.oneOf.0","typeLabel":"object"},{"type":"null","description":"Webhook URLs with event subscriptions","additionalProperties":{"type":"array","items":{"type":"string","uniqueKey":"webhooks.oneOf.1.additionalProperties.items.[INDEX]","typeLabel":"string"},"uniqueKey":"webhooks.oneOf.1.additionalProperties","typeLabel":"string[]"},"uniqueKey":"webhooks.oneOf.1","typeLabel":"null"}],"uniqueKey":"webhooks","typeLabel":"object | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","created_at":"2023-11-07T05:31:56Z","status":"draft","archived":true,"archived_at":"2023-11-07T05:31:56Z","processed_at":"2023-11-07T05:31:56Z","active_from":"2023-11-07T05:31:56Z","active_until":"2023-11-07T05:31:56Z","links":{"fill":"\u003cstring>","app":"\u003cstring>"},"user":{"anonymous":true,"email":"\u003cstring>","phone":"\u003cstring>","given_name":"\u003cstring>","family_name":"\u003cstring>","company_name":"\u003cstring>","internal_ref":"\u003cstring>"},"owner":{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","email":"\u003cstring>"},"flow":{"slug":"\u003cstring>"},"data":{},"external_args":{},"options":{},"responses":[{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","completed_at":"2023-11-07T05:31:56Z","updated_at":"2023-11-07T05:31:56Z","data":{},"user":{"anonymous":true,"ip":"\u003cstring>","email":"\u003cstring>","phone":"\u003cstring>","locale":"\u003cstring>","given_name":"\u003cstring>","family_name":"\u003cstring>","user-agent":"\u003cstring>","accept-language":"\u003cstring>"},"attachments":[{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","name":"\u003cstring>","type":"\u003cstring>","scope":"\u003cstring>","data":"\u003cstring>","metadata":{"size":123,"width":123,"height":123},"uri":"\u003cstring>"}],"signatures":{},"files":{}}],"notifications":[{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","status":"pending","method":"sms","at":"2023-11-07T05:31:56Z","to":"\u003cstring>","from":"\u003cstring>","cc":"\u003cstring>","bcc":"\u003cstring>","system":true,"locale":"\u003cstring>","template":"\u003cstring>","variables":{},"active":true,"error":"\u003cstring>","message_id":"\u003cstring>","attachments":{},"deleted_at":"2023-11-07T05:31:56Z"}],"webhooks":{}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"160d1038-1e7a-49ae-a51e-af2c9a41c7f6":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"token","description":"API token (starts with pnbx_). Create at https://app.penbox.io/workspace/settings/api. Include as: Authorization: Bearer {token}","scopes":[],"schemeName":"BearerAuth"}}},"servers":{"b64c4416-15bb-4807-8d2e-6bfda3195f3a":{"url":"https://connect.penbox.io/v1","description":"Production"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"token","description":"API token (starts with pnbx_). Create at https://app.penbox.io/workspace/settings/api. Include as: Authorization: Bearer {token}","scopes":[],"schemeName":"BearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"API token (starts with pnbx_). Create at https://app.penbox.io/workspace/settings/api. Include as: Authorization: Bearer {token}","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"penbox","siteName":"Penbox Documentation","title":"Update Form - Penbox Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-28T16:52:11.819Z","originalFileLocation":"api-reference/requests/update-request.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Update a form\u0026#x27;s status or properties.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Penbox Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/penbox/zxqlqenzv4F2LO04/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/penbox/zxqlqenzv4F2LO04/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/penbox/zxqlqenzv4F2LO04/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/penbox/zxqlqenzv4F2LO04/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/penbox/zxqlqenzv4F2LO04/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/penbox/zxqlqenzv4F2LO04/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/penbox/zxqlqenzv4F2LO04/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/penbox/zxqlqenzv4F2LO04/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/penbox/zxqlqenzv4F2LO04/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update Form - Penbox Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Update a form\u0026#x27;s status or properties.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Penbox Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.penbox.io/api-reference/requests/update-request\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://penbox.mintlify.site/_mintlify/api/og/v2?division=Forms\u0026amp;title=Update+Form\u0026amp;description=Update+a+form%27s+status+or+properties.\u0026amp;theme=32c4ea5a8f312dc27fda42b0\u0026amp;signature=359bd2b1b3c06a60c1c25ba58e5f93cad390e6c001374332d3830284f5d3276a\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update Form - Penbox Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Update a form\u0026#x27;s status or properties.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://penbox.mintlify.site/_mintlify/api/og/v2?division=Forms\u0026amp;title=Update+Form\u0026amp;description=Update+a+form%27s+status+or+properties.\u0026amp;theme=32c4ea5a8f312dc27fda42b0\u0026amp;signature=359bd2b1b3c06a60c1c25ba58e5f93cad390e6c001374332d3830284f5d3276a\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/penbox/zxqlqenzv4F2LO04/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Penbox Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#5A7DEC\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.penbox.io/api-reference/requests/update-request\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/requests/update-request.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.penbox.io/#organization\",\"name\":\"Penbox Documentation\",\"url\":\"https://docs.penbox.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/penbox/p4WC9517YL8mO6oA/images/penboxdocs.svg?fit=max\u0026auto=format\u0026n=p4WC9517YL8mO6oA\u0026q=85\u0026s=088aaa861690d692e523e252359cc629\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.penbox.io#website\",\"name\":\"Penbox Documentation\",\"url\":\"https://docs.penbox.io\",\"publisher\":{\"@id\":\"https://docs.penbox.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.penbox.io/api-reference/requests/update-request#webpage\",\"url\":\"https://docs.penbox.io/api-reference/requests/update-request\",\"name\":\"Update Form\",\"description\":\"Update a form's status or properties.\",\"dateModified\":\"2026-01-28T16:52:11.819Z\",\"isPartOf\":{\"@id\":\"https://docs.penbox.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.penbox.io/api-reference/requests/update-request#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.penbox.io/api-reference/requests/update-request#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Forms\",\"item\":\"https://docs.penbox.io/api-reference/requests/list-requests\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Update Form\",\"item\":\"https://docs.penbox.io/api-reference/requests/update-request\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.penbox.io/api-reference/requests/update-request#apireference\",\"headline\":\"Update Form\",\"name\":\"Update Form\",\"description\":\"Update a form's status or properties.\",\"url\":\"https://docs.penbox.io/api-reference/requests/update-request\",\"mainEntityOfPage\":{\"@id\":\"https://docs.penbox.io/api-reference/requests/update-request#webpage\"},\"dateModified\":\"2026-01-28T16:52:11.819Z\",\"publisher\":{\"@id\":\"https://docs.penbox.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.penbox.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Penbox Documentation\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Penbox Documentation","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"Guides","pages":[{"title":"Guides","href":"/guides/set-up-workspace"}]},{"tab":"API Reference","groups":[{"group":"API Reference","pages":[{"title":"Introduction","href":"/api-reference/introduction"},{"title":"API Overview","href":"/api-reference/pen-connect-overview"},{"title":"All API Endpoints","href":"/api-reference/all-endpoints"},{"title":"Authentication","href":"/api-reference/authentication"},{"title":"Advanced Filters","href":"/api-reference/advanced-filters"},{"title":"Pagination and Sorting","href":"/api-reference/pagination-and-sorting"},{"title":"Error Codes","href":"/api-reference/error-codes"},{"title":"OAuth 2.0","tag":"Enterprise","href":"/api-reference/authentication-oauth2"},{"title":"Webhooks","href":"/api-reference/webhooks"}]},{"group":"Workspaces","pages":[{"title":"List Workspaces","openapi":"GET /workspaces","href":"/api-reference/workspaces/list-workspaces"},{"title":"Provision Workspace","openapi":"POST /workspaces","href":"/api-reference/workspaces/provision-workspace"},{"title":"Create Member","openapi":"POST /members","href":"/api-reference/members/create-member"}]},{"group":"Cases","pages":[{"title":"List Cases","openapi":"GET /cases","href":"/api-reference/cases/list-cases"},{"title":"Count Cases","openapi":"GET /cases/count","href":"/api-reference/cases/count-cases"},{"title":"Get Case","openapi":"GET /cases/{id}","href":"/api-reference/cases/get-case"},{"title":"Create Case","openapi":"POST /cases","href":"/api-reference/cases/create-case"},{"title":"Update Case Data","openapi":"POST /cases/{id}/data","href":"/api-reference/cases/update-case-data"},{"title":"Update Case Contacts","openapi":"POST /cases/{id}/contacts","href":"/api-reference/cases/update-case-contacts"},{"title":"Upsert Case Field","openapi":"PUT /cases/{id}/fields/{key}","href":"/api-reference/cases/upsert-case-field"},{"title":"Delete Case Field","openapi":"DELETE /cases/{id}/fields/{key}","href":"/api-reference/cases/delete-case-field"},{"title":"Update Case","openapi":"POST /cases/{id}","href":"/api-reference/cases/archive-case"},{"title":"Start Case Step","openapi":"POST /cases/{id}/start/{stepKey}","href":"/api-reference/cases/start-case-step"},{"title":"Create Case Input","openapi":"POST /cases/{id}/inputs","href":"/api-reference/cases/create-case-input"},{"title":"Apply Case Input","openapi":"POST /cases/{id}/inputs/{input_id}/apply","href":"/api-reference/cases/apply-case-input"},{"title":"Get Case Input","openapi":"GET /cases/{id}/inputs/{input_id}","href":"/api-reference/cases/get-case-input"},{"title":"List Case Inputs","openapi":"GET /cases/{id}/inputs","href":"/api-reference/cases/list-case-inputs"}]},{"group":"Webhooks","pages":[{"title":"Create Webhook","openapi":"POST /webhooks","href":"/api-reference/webhooks/create-webhook"},{"title":"List Webhooks","openapi":"GET /webhooks","href":"/api-reference/webhooks/list-webhooks"},{"title":"Delete Webhook","openapi":"DELETE /webhooks/{id}","href":"/api-reference/webhooks/delete-webhook"},{"title":"List Webhook Deliveries","openapi":"GET /webhooks/{id}/deliveries","href":"/api-reference/webhooks/list-webhook-deliveries"}]},{"group":"Tasks","pages":[{"title":"List Case Tasks","openapi":"GET /cases/{id}/tasks","href":"/api-reference/tasks/list-case-tasks"},{"title":"Create Case Task","openapi":"POST /cases/{id}/tasks","href":"/api-reference/tasks/create-case-task"},{"title":"Update Case Task","openapi":"PATCH /cases/{id}/tasks/{taskId}","href":"/api-reference/tasks/update-case-task"}]},{"group":"Case Templates","pages":[{"title":"List Case Templates","openapi":"GET /case_templates","href":"/api-reference/case-templates/list-case-templates"},{"title":"Get Case Template","openapi":"GET /case_templates/{id}","href":"/api-reference/case-templates/get-case-template"}]},{"group":"Forms","pages":[{"title":"List Forms","openapi":"GET /forms","href":"/api-reference/requests/list-requests"},{"title":"Count Forms","openapi":"GET /forms/count","href":"/api-reference/requests/count-requests"},{"title":"Create Form","openapi":"POST /forms","href":"/api-reference/requests/create-request"},{"title":"Get Form","openapi":"GET /forms/{id}","description":"Retrieve details of a specific form by ID.","href":"/api-reference/requests/get-request"},{"title":"Update Form","openapi":"PATCH /forms/{id}","href":"/api-reference/requests/update-request"},{"title":"Get Form Response","openapi":"GET /responses/{id}","description":"Retrieve complete response data including form answers and attachments.","href":"/api-reference/responses/get-response"}]},{"group":"Form Templates","pages":[{"title":"List Form Templates","openapi":"GET /form_templates","href":"/api-reference/flows/list-flows"},{"title":"Get Form Template Options","openapi":"GET /form_templates/{slug}/options","href":"/api-reference/flows/get-flow-options"},{"title":"Get Form Template Steps","openapi":"GET /form_templates/{slug}/steps","href":"/api-reference/flows/get-flow-steps"}]},{"group":"Attachments","pages":[{"title":"Get File","openapi":"GET /attachments/{id}","href":"/api-reference/attachments/get-attachment"},{"title":"Get Multiple Attachments","openapi":"GET /attachments","href":"/api-reference/attachments/get-attachments-multiple"},{"title":"Upload Attachment","openapi":"POST /attachments","href":"/api-reference/attachments/upload-attachments"}]},{"group":"Document Intelligence","pages":[{"title":"Create Document Intelligence","openapi":"POST /document_intelligence","href":"/api-reference/document-intelligence/create-document-intelligence"},{"title":"Get Document Intelligence","openapi":"GET /document_intelligence/{id}","href":"/api-reference/document-intelligence/get-document-intelligence"}]},{"group":"Signatures","pages":[{"title":"Get Signature","openapi":"GET /signatures/{id}","href":"/api-reference/signatures/get-signature"}]},{"group":"Previous API version","icon":"clock-rotate-left","pages":[{"title":"Overview","href":"/api-reference/previous-api-version/overview"},{"title":"List Requests","href":"/api-reference/previous-api-version/list-requests"},{"title":"Count Requests","href":"/api-reference/previous-api-version/count-requests"},{"title":"Create Request","href":"/api-reference/previous-api-version/create-request"},{"title":"Get Request","href":"/api-reference/previous-api-version/get-request"},{"title":"Update Request","href":"/api-reference/previous-api-version/update-request"},{"title":"List Flows","href":"/api-reference/previous-api-version/list-flows"},{"title":"Get Flow Options","href":"/api-reference/previous-api-version/get-flow-options"},{"title":"Get Flow Steps","href":"/api-reference/previous-api-version/get-flow-steps"},{"title":"List Companies","href":"/api-reference/previous-api-version/list-companies"}]}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/changelog/2026-10"}]}]},"basePath":"","title":"Update Form - Penbox Documentation","buildId":"dpl_BLQvU86QFwq3AhPofSTw6q8dGWKm","deploymentId":"dpl_BLQvU86QFwq3AhPofSTw6q8dGWKm","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-Myd8dsju.js","utils-C2HkQgW0.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-8rSppmTv.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B6MjiCFm.js","snippetPresets-DwrSAONL.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-1-a5UQKQ.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-C541m7wZ.js","shallow-CWELCZ77.js","getApiPlaygroundDisplay-CTo5Zn03.js","CodeSnippet-D--dzvnl.js","CodeSnippets-DM3cXEDh.js","Page-CxAy5y67.js","getPastedJson-C-VECgcL.js","icon-BPq2-Mg3.js","MethodPill-D9J5cUHd.js","DuplicateIcon-BqHaxUnD.js","createIcon-CIbcZHp9.js","DynamicMarkdown-BKiHAm_d.js","SectionHeading-DstQXt3H.js","axios-vUo_bRtp.js","Markdown-CpxgzsKA.js","clsx-C5EfhVm0.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CJ9Oly2E.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-Mk6P3qvh.js"]}